User Description
Manage VARIO Cloud user details via the REST API, including account links, default and current locations, custom fields, and CRUD operations.
the UserDescription API
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
parameter
Resource with given ID was not found
GET /erp/user-details/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultLocationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currentLocationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customUserDetailFields": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"parameter": "text",
"fields": "text"
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
parameter
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
parameter
Resource was not found
Resource was not valid to process
PUT /erp/user-details/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 585
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"accountRef": {
"id": "text"
},
"defaultLocationRef": {
"id": "text"
},
"currentLocationRef": {
"id": "text"
},
"customUserDetailFields": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"parameter": "text",
"fields": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultLocationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currentLocationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customUserDetailFields": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"parameter": "text",
"fields": "text"
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/user-details/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
parameter
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
parameter
Resource was not valid to process
POST /erp/user-details HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 585
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"accountRef": {
"id": "text"
},
"defaultLocationRef": {
"id": "text"
},
"currentLocationRef": {
"id": "text"
},
"customUserDetailFields": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"parameter": "text",
"fields": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultLocationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currentLocationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customUserDetailFields": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"parameter": "text",
"fields": "text"
}User identifier.
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
parameter
GET /erp/user-details/user-id/{id} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"defaultLocationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currentLocationRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customUserDetailFields": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"parameter": "text",
"fields": "text"
}Last updated
Was this helpful?